Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class HttpException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.mortbay.jetty.HttpException

All Implemented Interfaces:
  Serializable

    public class HttpException

extends IOException

See Also:
  Serialized Form

Constructor Summary
`` | `HttpException(int status)`
`` | `HttpException(int status, String reason)`
`protected` | `HttpException(int status, String reason, Throwable rootCause)`

Method Summary
`String` | `getReason()`
`int` | `getStatus()`
`void` | `setReason(String reason)`
`void` | `setStatus(int status)`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpException

    public HttpException(int status)

### HttpException

    public HttpException(int status,
                         String reason)

### HttpException

    protected HttpException(int status,
                            String reason,
                            Throwable rootCause)

Method Detail

### getReason

    public String getReason()

  Returns:
    Returns the reason.

### setReason

    public void setReason(String reason)

  Parameters:
    `reason` - The reason to set.

### getStatus

    public int getStatus()

  Returns:
    Returns the status.

### setStatus

    public void setStatus(int status)

  Parameters:
    `status` - The status to set.

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.